<?php // $Id: pay.menu.inc,v 1.5 2010/06/20 22:27:56 vauxia Exp $

/**
 * Implementation of hook_menu().
 */
function pay_menu_menu() {
  return array(
    'admin/settings/pay' => array(
      'title' => 'Payment settings',
      'page callback' => 'pay_admin_overview',
      'access arguments' => array('administer pay'),
      'file' => 'pay.admin.inc',
      'file path' => drupal_get_path('module', 'pay') .'/includes',
    ),
    'admin/settings/pay/overview' => array(
      'title' => 'Overview',
      'type' => MENU_DEFAULT_LOCAL_TASK,
      'weight' => -10,
    ),
    'admin/settings/pay/add' => array(
      'title' => 'Add a payment method',
      'page callback' => 'drupal_get_form',
      'page arguments' => array('pay_admin_method_form'),
      'access arguments' => array('administer pay'),
      'file' => 'pay.admin.inc',
      'file path' => drupal_get_path('module', 'pay') .'/includes',
      'type' => MENU_LOCAL_TASK,
    ),
    'admin/settings/pay/%pay_method/edit' => array(
      'title' => 'Edit payment method',
      'page callback' => 'drupal_get_form',
      'page arguments' => array('pay_admin_method_form', 3),
      'access arguments' => array('administer pay'),
      'file' => 'pay.admin.inc',
      'file path' => drupal_get_path('module', 'pay') .'/includes',
    ),
    'pay/transaction/add' => array(
      'title' => 'Add a payment',
      'page callback' => 'drupal_get_form',
      'page arguments' => array('pay_transaction_form'),
      'access arguments' => array('administer payments for any form'),
      'file' => 'pay.transaction.inc',
      'file path' => drupal_get_path('module', 'pay') .'/includes',
    ),
    'pay/transaction/%pay_transaction' => array(
      'title' => 'Transaction details',
      'page callback' => 'theme',
      'page arguments' => array('pay_transaction', 2),
      'access arguments' => array('administer payments for any form'),
    ),
  );
}
